import QtQuick 2.2
import QtQuick.Controls 1.4
import QtQuick.Layouts 1.1

Rectangle {

    id: root
    color: theme.backgroundColor()

    Component.onCompleted: {
        comboBoxUpdateRate.currentIndex = plugin.updateRate
    }

    Layout.margins: 10

    ColumnLayout {
        spacing: 4
        anchors.fill: parent
        anchors.margins: 4
        RowLayout {
            Layout.alignment: Qt.AlignTop
            Text {
                text: "Update rate"
                renderType: Text.NativeRendering
            }
            ComboBox {
                id: comboBoxUpdateRate
                model: [ "10 Hz", "15 Hz", "30 Hz", "60 Hz" ]
                onCurrentIndexChanged: plugin.setUpdateRate(comboBoxUpdateRate.currentIndex)
            }
        }

    }
}
